package com.ywt.mg.domain.models.enums;

public enum DatePeriodEnum {
    All_Day("全天", 1),
    Morning("上午", 2),
    Afternoon("下午", 3),
    Night("晚上", 4);

    private final String displayName;

    private final int value;

    DatePeriodEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }

    public static DatePeriodEnum valueOf(int value) {
        switch (value) {
            case 1:
                return All_Day;
            case 2:
                return Morning;
            case 3:
                return Afternoon;
            case 4:
                return Night;
            default:
                return All_Day;
        }
    }
}
